void drawCurve(boolean showCountry, ArrayList<Book> books, color c, String country) {
  if (showCountry == true) {
    for (year = 2006; year < 2022; year++) {
      stroke(c);
      strokeWeight(2);
      noFill();
      beginShape();
      for (int i = 0; i< books.size(); i++) {
        Book theBook = books.get(i);
        String[] dates = split(theBook.date, '-');
        int bookYear = int(dates[0]);
        if ( bookYear < 2006 || bookYear > 2021) {
          continue;
        }
        
        PVector pCoordinate = pointCoordinate(theBook.country, theBook.date);
        float x, y, z;
        x = pCoordinate.x;
        y = pCoordinate.y;
        z = pCoordinate.z;
        
        if (theBook.title.equals(country) && bookYear == year) {
          curveVertex( x, y, z + theBook.count * 5);
        }
      }
      endShape();
    }
  }
}
